// @ts-nocheck
/* eslint-disable jsx-a11y/anchor-has-content */
import './LinkCard.css';
import React from 'react';
import { IconArrowRight } from '../../icons/IconArrowRight/IconArrowRight';
import { cn } from '../../utils/bem';
import { forwardRefWithAs } from '../../utils/types/PropsWithAsAttributes';
import { Button } from '../Button/Button';
import { usePropsHandler } from '../EventInterceptor/usePropsHandler';
import { Typography } from '../Typography';
export var cardPropSize = ['s', 'm', 'l'];
export var cardPropSizeDefault = cardPropSize[1];
export var cardPropView = ['default'];
export var cardPropViewDefault = cardPropView[0];
export var cnLinkCard = cn('LinkCard');
export var LinkCard = forwardRefWithAs(function (props) {
    var _a = usePropsHandler(cnLinkCard(), props), _b = _a.view, view = _b === void 0 ? cardPropViewDefault : _b, _c = _a.size, size = _c === void 0 ? cardPropSizeDefault : _c, title = _a.title, linkText = _a.linkText, link = _a.link, targetBlank = _a.targetBlank;
    console.log(props);
    return (React.createElement("div", { className: cnLinkCard({
            view: view,
            size: size
        }) },
        React.createElement(Typography.Title, { size: "md", className: cnLinkCard('Title') }, title),
        React.createElement("div", { className: cnLinkCard('Button') },
            React.createElement(Button, { iconRight: IconArrowRight, label: linkText, as: "a", target: targetBlank ? '_blank' : null, href: link }))));
});
